window disappears on toggle shade

Bug #1313446 reported by Bob-El on 2014-04-27
228
This bug affects 44 people
Affects Status Importance Assigned to Milestone
Unity
Confirmed
Low
Unassigned
unity (Ubuntu)
Low
Unassigned

Bug Description

I used Unity Tweak Tool to enable Toggle Shade using middle click. When I click to top of the window, it rolls up and disappears. A "ghost" outline of the window appears and the only way to get the window back is by using Alt-tab. Sometimes, when reselecting the window using Alt-tab, Ubuntu freezes (crashes) and an internal error is generated. It seems to be related to Compiz but I'm not sure. An error report was generated and sent.

Description: Ubuntu 14.04 LTS (64-bit)
Release: 14.04
unity-tweak-tool 0.0.6ubuntu1

I expected the window would "roll up" and I'd be left with the window's top bar like with previous versions of Ubuntu.

Related branches

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1313446/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
affects: ubuntu → unity (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed
Chad Miller (cmiller) wrote :

While the window is shaded (which is not really shaded since there are no window decorations for it -- it's actually missing), it is missing from the window list for an application, which makes it impossible to switch to.

The only way I see to reclaim the lost window is to close or move all other windows of that app so the missing window is the only one left on the workspace, then click on the running app's icon again. Then, the running app is still not listed, but clicking on it raises it somehow.

AfterMath. (laughingmanproject) wrote :

Is there any ETR on this issue?

Yatharth Agarwal (yatharth999) wrote :

This is NOT a dupe of #985430; it's not that the wrong window is focused, it's that you can't bloody focus the shaded windows in any way. You should immediately release a patch disabling the short-cut till you find a way to not destroy user data when the user tries to use a feature that was fine before.

@ChadMiller: Thanks for posting your work-around.

Changed in unity:
status: New → Confirmed
Paarvai Naai (opensource3141) wrote :

Hi all,

Is there any update on this bug? Can this be fixed easily somehow? I've been using window shading for 10+ years on various window managers and this issue is really disruptive to my flow. Thanks.

Paarvai

Roberto (rfausas) wrote :

Hello,

I totally agree with previous comments regarding the windows shading. I will be really happy once this annoying problem is solved.
Thanks
Roberto

Paarvai Naai (opensource3141) wrote :

Hi all,

(Checking back a month later.)

Is there any way to get someone's attention regarding this bug? It is a very bad regression in the window shading feature for those of us who are heavily used to it.

Thanks,
Paarvai

AliNâ (alinajafi) on 2014-10-29
tags: added: trusty utopic
Changed in unity (Ubuntu):
importance: Undecided → Critical
Seeyou Later (cul8rallyg8r) wrote :

I too have this problem.

This appears to be a duplicate of another bug report, Bug #1293740

I read here( http://ubuntuforums.org/showthread.php?t=2225150 ) that

"Shade no longer works with unity because the unity plugin for compiz
has taken over the drawing of window decorations.
Still works in a non unity session where the window decorations plugin is enabled. "

ssameer ssierra (ssameerlove) wrote :

this bug is really annoying to me as well. i have always used windowshade. please release a fix for this soon.

Changed in unity (Ubuntu):
importance: Critical → Medium
Changed in unity:
importance: Undecided → Medium
Allen (abierbaum) wrote :

Does the change in importance to "Medium" mean that this regression bug will not be fixed? This is a very very annoying bug for people that have come to rely upon this functionality working correct.

Stephen M. Webb (bregma) wrote :

@abierbaum

Changing the importance to "Mediaum" merely indicates that's where the importance of the bug lies on the Importance spectrum. It does not mean it will not be fixed.

Generally marking a bug as "Critical" means it is a crash preventing basic functionality or causing data loss. The fact that this problem is not related to a crash or data loss and does not affect regular functionality (ie. functionality available without installing and running third-party applications) means that the bug does not qualify as "Critical" or "High" importance.

arm-c (arickmcniel) wrote :

DATA LOSS: I would like to "up vote" this because I have in-directly experienced data loss by having a window with input (email) that I went "always on top" and then shadded. My email disappeared. I had no way to get back to it unless I clossed the browser windows that were visible... only then did it re-appear. HOWEVER, that window had lost connection to my server at that point, so the data was lost.

I would like very much for this to get fixed. The "Always on top" and shade feature has long been a strong point for my linux use and workflow. Unity has grown a lot and I now uaually find it the DE I prefer to work in unless I need shaded windows and so forth...

S B (sbourland) wrote :

Just to add to the voices of frustration at this loss of functionality/change in behavior, I am trying to move from 12.04 to 14.04 on my development machines but can not do that with this bug still in play. We are past the half life of 12.04 with no apparent upgrade path to date.

Francis (francis-7575) wrote :

I also would like very much that this bug be fixed. I use this functionnality for more than 10 years now.
My last version was Xubuntu 12.04 and I am very disappointed with this bug in Unitiy on 14.04, and may return to Xubuntu if this bug is not fixed.

I've been waiting since last summer to update my netbook from 12.04. I'm
now thinking of switching to Linux Mint which I'm using on a couple of
other machines.

Nooo laddie, not an iThing. It's a Samsung Galaxy.
On Jan 31, 2015 4:30 AM, "Francis" <email address hidden> wrote:

> I also would like very much that this bug be fixed. I use this
> functionnality for more than 10 years now.
> My last version was Xubuntu 12.04 and I am very disappointed with this bug
> in Unitiy on 14.04, and may return to Xubuntu if this bug is not fixed.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1313446
>
> Title:
> window disappears on toggle shade
>
> Status in Unity:
> Confirmed
> Status in unity package in Ubuntu:
> Confirmed
>
> Bug description:
> I used Unity Tweak Tool to enable Toggle Shade using middle click.
> When I click to top of the window, it rolls up and disappears. A
> "ghost" outline of the window appears and the only way to get the
> window back is by using Alt-tab. Sometimes, when reselecting the
> window using Alt-tab, Ubuntu freezes (crashes) and an internal error
> is generated. It seems to be related to Compiz but I'm not sure. An
> error report was generated and sent.
>
> Description: Ubuntu 14.04 LTS (64-bit)
> Release: 14.04
> unity-tweak-tool 0.0.6ubuntu1
>
> I expected the window would "roll up" and I'd be left with the
> window's top bar like with previous versions of Ubuntu.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/1313446/+subscriptions
>

David Barnett (mu-mind) wrote :

On my setup Ctrl+Alt+s is a keyboard shortcut for this broken "Toggle shaded state" thing. I've been really confused why windows keep ghosting and dying and sometimes taking down compiz with them when I try Ctrl+Alt+s. This shortcut is needed in Emacs, for instance. If this bug affects everyone and it is in fact a default shortcut key for everyone, can you at least disable the keyboard shortcut by default so you're not hijacking useful keypresses and treating them as a shortcut to "break everything"?

Paarvai Naai (opensource3141) wrote :

I am extremely surprised and disappointed at how this bug continues to persist for so long with no hope in sight for a fix. Window shading has been a fundamental function present in X11 window managers for 20+ years. This feature has critically broken in Unity somewhere between 12.04 and 14.04 yet there has been no movement on fixing this bug.

Unfortunately in my office environment our computers are standardized on Unity which makes this even more painful on a daily basis (I run KDE at home).

Is there any way this issue can be prioritized before more and more releases of Ubuntu are made with this issue?

Bob-El (boblanctot) wrote :

I'm with you Paarvai. This is a terrible lack of support. I frequently find
bug complaints are passed over

Nooo laddie, not an iThing. It's a Samsung Galaxy.
On Mar 12, 2015 10:55 AM, "Paarvai Naai" <email address hidden> wrote:

> I am extremely surprised and disappointed at how this bug continues to
> persist for so long with no hope in sight for a fix. Window shading has
> been a fundamental function present in X11 window managers for 20+
> years. This feature has critically broken in Unity somewhere between
> 12.04 and 14.04 yet there has been no movement on fixing this bug.
>
> Unfortunately in my office environment our computers are standardized on
> Unity which makes this even more painful on a daily basis (I run KDE at
> home).
>
> Is there any way this issue can be prioritized before more and more
> releases of Ubuntu are made with this issue?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1313446
>
> Title:
> window disappears on toggle shade
>
> Status in Unity:
> Confirmed
> Status in unity package in Ubuntu:
> Confirmed
>
> Bug description:
> I used Unity Tweak Tool to enable Toggle Shade using middle click.
> When I click to top of the window, it rolls up and disappears. A
> "ghost" outline of the window appears and the only way to get the
> window back is by using Alt-tab. Sometimes, when reselecting the
> window using Alt-tab, Ubuntu freezes (crashes) and an internal error
> is generated. It seems to be related to Compiz but I'm not sure. An
> error report was generated and sent.
>
> Description: Ubuntu 14.04 LTS (64-bit)
> Release: 14.04
> unity-tweak-tool 0.0.6ubuntu1
>
> I expected the window would "roll up" and I'd be left with the
> window's top bar like with previous versions of Ubuntu.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/1313446/+subscriptions
>

Francis (francis-7575) wrote :

Paarvail,
I installed XFCE on Ubuntu Unity. It is so easy. No need to install a new xubuntu.
And the problem is solved !
Sorry for Unity ...

Tim Hockin (thockin-hockin) wrote :

This is my #1 problem with Unity right now. I keep a lot of "in-progress" state in shaded windows on my 12.x systems, and I can no longer do this at all on 14.x

Please oh please fix?

treetaxi (treetaxi) wrote :

This bug makes GIMP almost unusable. I need to keep several of their dockable menus rolled up but available on demand rather than have them interfere with window real estate.

A caveat to Paarvail & others thinking the same thing -- I've just migrated from Mint with XFCE because both the software manager and synaptic broke, leaving me unable to install any new software except with apt-get routines.

Please keep us apprised with progress updates.

Claude Werner (clauderwerner) wrote :

Just to add my complaint, it does in fact cause loss of data as mentioned above. Two open documents did not save after crash and browser lost open tabs. Fortunately these were in history, can't say the same about the documents. I was able to duplicate the email loss described above.

This should be marked critical.

Seth Johnson (sethj) wrote :

I have been able to reproduce this in 15.10 to an extent. The window rolls up and the titlebar disappears, but I haven't experienced any screen artifacts or freezes on my Intel graphics.

tags: added: desktop-bugscrub-triaged
Changed in unity:
assignee: nobody → Eleni Maria Stea (hikiko)
Changed in unity (Ubuntu):
assignee: nobody → Eleni Maria Stea (hikiko)
Bob-El (boblanctot) wrote :

Please tell me what
"** Changed in: unity
     Assignee: (unassigned) => Eleni Maria Stea (hikiko)

** Changed in: unity (Ubuntu)
     Assignee: (unassigned) => Eleni Maria Stea (hikiko)"
means.

Someone is working on the problem? It's been fixed? If the latter, is there
a patch or update for 14.04?

Regards,
Bob Lanctot

Nooo laddie, not an iThing. It's a Samsung Galaxy.
On Sep 29, 2015 11:41 AM, "Eleni Maria Stea" <email address hidden>
wrote:

> ** Changed in: unity
> Assignee: (unassigned) => Eleni Maria Stea (hikiko)
>
> ** Changed in: unity (Ubuntu)
> Assignee: (unassigned) => Eleni Maria Stea (hikiko)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1313446
>
> Title:
> window disappears on toggle shade
>
> Status in Unity:
> Confirmed
> Status in unity package in Ubuntu:
> Confirmed
>
> Bug description:
> I used Unity Tweak Tool to enable Toggle Shade using middle click.
> When I click to top of the window, it rolls up and disappears. A
> "ghost" outline of the window appears and the only way to get the
> window back is by using Alt-tab. Sometimes, when reselecting the
> window using Alt-tab, Ubuntu freezes (crashes) and an internal error
> is generated. It seems to be related to Compiz but I'm not sure. An
> error report was generated and sent.
>
> Description: Ubuntu 14.04 LTS (64-bit)
> Release: 14.04
> unity-tweak-tool 0.0.6ubuntu1
>
> I expected the window would "roll up" and I'd be left with the
> window's top bar like with previous versions of Ubuntu.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/1313446/+subscriptions
>

Eleni Maria Stea (hikiko) wrote :

Hello, I am currently investigating this bug (and a list of other important bugs/features we have as well so, there's a lot of work to be done). When I or someone else in our team have a fix for it, the related branch will be linked to the bug report and every user who is subscribed will be notified. Please, be patient, it's in our priority list.. :)

Changed in unity:
importance: Medium → Critical
Changed in unity (Ubuntu):
importance: Medium → Critical
rajat (raj143190) on 2015-10-06
Changed in unity (Ubuntu):
assignee: Eleni Maria Stea (hikiko) → rajat (raj143190)
rajat (raj143190) on 2015-10-06
Changed in unity (Ubuntu):
assignee: rajat (raj143190) → nobody
Michael Fischer (psm-j) wrote :

To demonstrate data loss, just open a new application and roll up the window. Then use alt-tab to get to this window. On my machine the whole session get killed and I'm logged out! So I don't only lose the one application, but all open files!
(Tried with Thunderbird and AisleRiot Solitaire under Ubuntu 14.04.3 LTS)

Workarounds:
To disable the shortcut:
gsettings set org.gnome.desktop.wm.keybindings toggle-shaded "['disabled']"
To enable the shortcut again:
gsettings reset org.gnome.desktop.wm.keybindings toggle-shaded

To disable the mouse-action if you had it like me enabled on double-clicking the titlebar:
gsettings reset org.gnome.desktop.wm.preferences action-double-click-titlebar
To enable it again:
gsettings set org.gnome.desktop.wm.preferences action-double-click-titlebar 'toggle-shade'

Eleni Maria Stea (hikiko) wrote :

It doesn't completely disappear. after the toggle-shade it gets minimized....

tags: added: rls-w-incoming
tags: added: rls-x-incoming
removed: rls-w-incoming
Bob-El (boblanctot) wrote :

"** Tags removed: rls-w-incoming"
"** Tags added: rls-x-incoming"

What does that mean? Am I expected to do something?

Bob

On 30 October 2015 at 10:11, Marco Trevisan (Treviño) <mail@3v1n0.net>
wrote:

> ** Tags removed: rls-w-incoming
> ** Tags added: rls-x-incoming
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1313446
>
> Title:
> window disappears on toggle shade
>
> Status in Unity:
> Confirmed
> Status in unity package in Ubuntu:
> Confirmed
>
> Bug description:
> I used Unity Tweak Tool to enable Toggle Shade using middle click.
> When I click to top of the window, it rolls up and disappears. A
> "ghost" outline of the window appears and the only way to get the
> window back is by using Alt-tab. Sometimes, when reselecting the
> window using Alt-tab, Ubuntu freezes (crashes) and an internal error
> is generated. It seems to be related to Compiz but I'm not sure. An
> error report was generated and sent.
>
> Description: Ubuntu 14.04 LTS (64-bit)
> Release: 14.04
> unity-tweak-tool 0.0.6ubuntu1
>
> I expected the window would "roll up" and I'd be left with the
> window's top bar like with previous versions of Ubuntu.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/1313446/+subscriptions
>

--
Bob Lanctot
Ottawa, ON, Canada
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
"There is no better defense for absurdity than
obscurity." - John Locke

Bob, no it only means that this bug is targetted for Ubuntu Xenial release

Bob-El (boblanctot) wrote :

Oh. Okay. Thanks. So I guess there won't be a patch issued for 14.04, then.
That's okay by me as I prefer to follow the LTS issues anyway. Is Xenial
the name for 16.04?

Bob

Nooo laddie, not an iThing. It's a Samsung Galaxy.
On Nov 2, 2015 5:05 AM, "Marco Trevisan (Treviño)" <mail@3v1n0.net> wrote:

> Bob, no it only means that this bug is targetted for Ubuntu Xenial
> release
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1313446
>
> Title:
> window disappears on toggle shade
>
> Status in Unity:
> Confirmed
> Status in unity package in Ubuntu:
> Confirmed
>
> Bug description:
> I used Unity Tweak Tool to enable Toggle Shade using middle click.
> When I click to top of the window, it rolls up and disappears. A
> "ghost" outline of the window appears and the only way to get the
> window back is by using Alt-tab. Sometimes, when reselecting the
> window using Alt-tab, Ubuntu freezes (crashes) and an internal error
> is generated. It seems to be related to Compiz but I'm not sure. An
> error report was generated and sent.
>
> Description: Ubuntu 14.04 LTS (64-bit)
> Release: 14.04
> unity-tweak-tool 0.0.6ubuntu1
>
> I expected the window would "roll up" and I'd be left with the
> window's top bar like with previous versions of Ubuntu.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/1313446/+subscriptions
>

2015-11-02 14:40 GMT+01:00 Bob-El <email address hidden>:
> Oh. Okay. Thanks. So I guess there won't be a patch issued for 14.04, then.

It might happen, it depends how log the fix takes.

> That's okay by me as I prefer to follow the LTS issues anyway. Is Xenial
> the name for 16.04?

Yep!

Bob-El (boblanctot) wrote :

Thanks. And thank you (and all the other people) also for giving up your
time for the benefit of us all.

Bob

Nooo laddie, not an iThing. It's a Samsung Galaxy.
On Nov 2, 2015 9:15 AM, "Marco Trevisan (Treviño)" <mail@3v1n0.net> wrote:

> 2015-11-02 14:40 GMT+01:00 Bob-El <email address hidden>:
> > Oh. Okay. Thanks. So I guess there won't be a patch issued for 14.04,
> then.
>
> It might happen, it depends how log the fix takes.
>
> > That's okay by me as I prefer to follow the LTS issues anyway. Is Xenial
> > the name for 16.04?
>
> Yep!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1313446
>
> Title:
> window disappears on toggle shade
>
> Status in Unity:
> Confirmed
> Status in unity package in Ubuntu:
> Confirmed
>
> Bug description:
> I used Unity Tweak Tool to enable Toggle Shade using middle click.
> When I click to top of the window, it rolls up and disappears. A
> "ghost" outline of the window appears and the only way to get the
> window back is by using Alt-tab. Sometimes, when reselecting the
> window using Alt-tab, Ubuntu freezes (crashes) and an internal error
> is generated. It seems to be related to Compiz but I'm not sure. An
> error report was generated and sent.
>
> Description: Ubuntu 14.04 LTS (64-bit)
> Release: 14.04
> unity-tweak-tool 0.0.6ubuntu1
>
> I expected the window would "roll up" and I'd be left with the
> window's top bar like with previous versions of Ubuntu.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/1313446/+subscriptions
>

Changed in unity:
importance: Critical → Medium
Changed in unity (Ubuntu):
importance: Critical → Medium
Will Cooke (willcooke) on 2015-11-30
tags: added: rls-y-incoming
removed: rls-x-incoming
Changed in unity:
importance: Medium → Low
Changed in unity (Ubuntu):
importance: Medium → Low
Ceriand (ceriand) wrote :
Download full text (3.9 KiB)

Here is an xtrace dump of focusing a xterm window and shading it by double clicking the title bar:

000:>:0263: Event (generated) ConfigureNotify(22) event=0x03200024 window=0x03200024 above-sibling=None(0x00000000) x=0 y=264 width=484 height=316 border-width=0 override-redirect=false(0x00)
000:>:0263: Event FocusIn(9) detail=Nonlinear(0x03) event=0x03200024 mode=Normal(0x00)
000:<:0264: 44: Request(25): SendEvent propagate=false(0x00) destination=0x00c0000c event-mask=0 ClientMessage(33) format=0x08 window=0x00c0000c type=0x1a5("_XIM_PROTOCOL") data=0x38,0x00,0x02,0x00,0x05,0x00,0x5d,0x00,0x02,0x00,0x4d,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00;
000:>:0264: Event PropertyNotify(28) window=0x03200024 atom=0x13b(unrecognized atom) time=0x6313df20 state=NewValue(0x00)
000:>:0264: Event (generated) ClientMessage(33) format=0x08 window=0x03200031 type=0x1a5("_XIM_PROTOCOL") data=0x39,0x00,0x04,0x00,0x05,0x00,0x5d,0x00,0x08,0x00,0x00,0x00,0x4d,0x01,0x04,0x00,0x03,0x00,0x00,0x00;
000:<:0265: 44: Request(25): SendEvent propagate=false(0x00) destination=0x00c0000c event-mask=0 ClientMessage(33) format=0x08 window=0x00c0000c type=0x1a5("_XIM_PROTOCOL") data=0x3a,0x00,0x01,0x00,0x05,0x00,0x5d,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00;
000:<:0266: 20: Request(77): ImageText16 drawable=0x0320002f gc=0x03200039 x=104 y=13 string=0x2000;
000:>:0266: Event PropertyNotify(28) window=0x03200024 atom=0x13b(unrecognized atom) time=0x6313e7d8 state=NewValue(0x00)
000:>:0266: Event UnmapNotify(18) event=0x03200024 window=0x03200024 from-configure=false(0x00)
000:>:0266: Event FocusOut(10) detail=Nonlinear(0x03) event=0x03200024 mode=Normal(0x00)
000:>:0266: Event PropertyNotify(28) window=0x03200024 atom=0x13b(unrecognized atom) time=0x6313e7d9 state=NewValue(0x00)
000:<:0267: 44: Request(25): SendEvent propagate=false(0x00) destination=0x00c0000c event-mask=0 ClientMessage(33) format=0x08 window=0x00c0000c type=0x1a5("_XIM_PROTOCOL") data=0x38,0x00,0x02,0x00,0x05,0x00,0x5d,0x00,0x02,0x00,0x4d,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00;
000:>:0267: Event PropertyNotify(28) window=0x03200024 atom=0x166(unrecognized atom) time=0x6313e7d9 state=NewValue(0x00)
000:>:0267: Event (generated) ClientMessage(33) format=0x08 window=0x03200031 type=0x1a5("_XIM_PROTOCOL") data=0x39,0x00,0x04,0x00,0x05,0x00,0x5d,0x00,0x08,0x00,0x00,0x00,0x4d,0x01,0x04,0x00,0x03,0x00,0x00,0x00;
000:<:0268: 44: Request(25): SendEvent propagate=false(0x00) destination=0x00c0000c event-mask=0 ClientMessage(33) format=0x08 window=0x00c0000c type=0x1a5("_XIM_PROTOCOL") data=0x3b,0x00,0x01,0x00,0x05,0x00,0x5d,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00;
000:<:0269: 20: Request(77): ImageText16 drawable=0x0320002f gc=0x0320002e x=104 y=13 string=0x2000;
000:<:026a: 32: Request(65): PolyLine coordinate-mode=Previous(0x01) drawable=0x0320002f gc=0x03200036 points={x=104 y=2},{x=5 y=0},{x=0 y=12},{x=-5 y=0},{x=0 y=-12};
000:>:026a: Event (generated) ConfigureNotify(22) event=0x03200024 window=0x03200024 above-sibling=None(0x00000000) x=0 y=264 width=484 height=316 border-width=0 override-redirect=false(0x00)
000:>:026a: Event (generated) ConfigureNotify(2...

Read more...

Derek Martin (code-pizzashack) wrote :

Please raise the importance of this bug. Like Michael Fischer in update #27, I can confirm another case of data loss resulting from this bug. I accidentally (because at this point, I'm familiar with the bug) shaded my gvim window, and when I used alt-tab to un-minimize it, my entire X session crashed. Unfortunately since (AFAIK) coredumps are essentially disabled by default, the only info I have regarding the crash are these messages from dmesg:

[845655.519638] compiz[3613]: segfault at 0 ip 00007f72e5acc253 sp 00007fffbb46ed70 error 4 in libunityshell.so[7f72e572b000+584000]
[845677.005936] pidgin[26706]: segfault at 3 ip 00007f18beabc3a6 sp 00007ffd8ce66670 error 6 in libSM.so.6.0.1[7f18beaba000+7000]

Clearly the pidgin crash is uninteresting; however compiz crashing is pretty fatal.

S B (sbourland) wrote :

Started testing 16.04 and this issue is still present. If I can help in any way with testing to help hit the Xenial release please let me know.

I too believe this issue's importance should be raised as I've experienced data loss from it. If you have just one window open, you do "Toggle Shade" somehow (doesn't matter if you have it mapped to double click, right or middle click) and then once the window is rolled up yo do Alt+Tab the Unity session crashes, killing all open applications and sending you to the login screen. Any unsaved data on the app you were on is lost.

Tejeev Patel (tejeevpatel) wrote :

I'm running 16.04 and have also encountered this bug. Really aggravating as I rely on shades as a regular part of my workflow (coming off of xfce) to help deal with small screens/limited window real estate. Looks like it got passed around a bit then dropped. Any chance it's going to be addressed?

Bob-El (boblanctot) wrote :

I don't remember if I mentioned this before but I "solved" this annoying problem last year because this issue was not getting fixed. I installed Linux Mint 17.3 Cinnamon. The shade works fine and the added bonus was Mint doesn't use UNITY. Back to a comprehensive desktop. Mint is based on Ubuntu so the transition was quite painless.

Francis (francis-7575) wrote :

I solve the problem by installing xubuntu, which use xfce, not Unity.
Regards

6 septembre 2016 20:26 "Bob-El" <email address hidden> a écrit:
> I don't remember if I mentioned this before but I "solved" this annoying
> problem last year because this issue was not getting fixed. I installed
> Linux Mint 17.3 Cinnamon. The shade works fine and the added bonus was
> Mint doesn't use UNITY. Back to a comprehensive desktop. Mint is based
> on Ubuntu so the transition was quite painless.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1313446
>
> Title:
> window disappears on toggle shade
>
> Status in Unity:
> Confirmed
> Status in unity package in Ubuntu:
> Confirmed
>
> Bug description:
> I used Unity Tweak Tool to enable Toggle Shade using middle click.
> When I click to top of the window, it rolls up and disappears. A
> "ghost" outline of the window appears and the only way to get the
> window back is by using Alt-tab. Sometimes, when reselecting the
> window using Alt-tab, Ubuntu freezes (crashes) and an internal error
> is generated. It seems to be related to Compiz but I'm not sure. An
> error report was generated and sent.
>
> Description: Ubuntu 14.04 LTS (64-bit)
> Release: 14.04
> unity-tweak-tool 0.0.6ubuntu1
>
> I expected the window would "roll up" and I'd be left with the
> window's top bar like with previous versions of Ubuntu.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/1313446/+subscriptions

S B (sbourland) wrote :

Eleni: Is the patch/fix expecting to roll out for Xenial through the standard update procedure, or will we need to apply it manually? I am so excited that I will finally be able to move my developers past 12.04!

Eleni Maria Stea (hikiko) wrote :

You don't need to apply the patch manually. I am going to fix some remaining issues and put it in one of the next SRUs. Unfortunately we have some other priorities now and you might need to wait a few more weeks to see it on Xenial. When the fix is released we are going to update the bug status to "Fix released" and the subscribed users will be notified by email. Please, be patient, we are trying to do our best! :)

Glenn Washburn (crass) on 2017-01-19
tags: added: xenial
Benjamin Marzinski (benmarz) wrote :

Have the last of the bugs been ironed out of this patch? I would really like to be able to use a regular Ubuntu install that is post-12.04, but it's just not possible for me without out functional window shading.

geira (geira) wrote :

Still waiting for the patch on 16.04 (must run LTS at work). Can also confirm this IS a CRITICAL bug as I just experienced data loss after a terminal window with several tabs (including logins to remote servers) became unaccessible after shading.

S B (sbourland) wrote :

Eleni: So I was optimistic we would see this patch rolled out prior to expiration of 12.04 given your note from Nov. 18th, but it doesn't seem to have happened yet. Do you have any information or updates for those of us who are truly stuck and starting to get very concerned?

Eleni Maria Stea (hikiko) wrote :

I am sorry, it's been a while I stopped the Compiz development. The branch above is buggy. I'll describe here what I've found so far and maybe someone from the community or Canonical who has more time than me fixes it. The problem comes from the Unity 7 decorations. There are 2 different problems to be solved: 1- the decoration window should not be unshaded/updated everytime that the window is unshaded we have to check if we received a toggle_shade signal first 2- after fixing 1, you will see that a rolled window's decoration still gets unshaded when the window receives the focus out event. This should be also fixed and then I believe it will work fine...

Changed in unity:
assignee: Eleni Maria Stea (hikiko) → nobody
Norbert (nrbrtx) wrote :

Ubuntu Xenial with Unity is affected by this bug.

gsettings set org.gnome.desktop.wm.preferences action-middle-click-titlebar 'toggle-shade'

make window minimize to the dock immediately after shading (roll up).

Also seen on AskUbuntu (https://askubuntu.com/q/836047/66509).

tags: added: desktop-bug scrub-triaged
removed: desktop-bugscrub-triaged
Tuomas Heino (iheino+ub) wrote :

As this bug most likely won't ever get fixed (since Unity7 development was scrapped), it might be useful to document the known workarounds here, starting with:

1: Start any window manager with working shade support, for example as follows:
$ nohup openbox --replace >/dev/null &
# Warning: If you are not familiar with openbox and alike, their default settings are rather minimalistic; no taskbars or app menus included after the replace above (see https://help.ubuntu.com/community/Openbox for more details).

2: Disable any references to shading if you want/need to use Unity
$ gsettings list-recursively org.gnome.desktop.wm.keybindings | grep -i shade
$ gsettings list-recursively org.gnome.desktop.wm.preferences | grep -i shade
$ # ... followed by some form of gsettings set or reset to the ones listed (not tested)

Norbert (nrbrtx) wrote :

Openbox is too orthodox.

It's great that shading works normally on MATE Desktop Environment.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers